/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Avril 2005                     */

public class ApplicationListesChaineesEnConsole {

  public static void main(String [] args) {
    Console.setTitle("ApplicationListesChainees");
    /* Creation d'une liste chainee de 10 entiers (0 a 9) */
    ListeChainee l = null;
    for ( int i = 0 ; i < 10 ; i++ ) {
      ListeChainee nl = new ListeChainee(new Integer(i));
      nl.suiv = l;
      l = nl; }
    /* Affichage de cette liste chainee                   */
    l.affichage();
    /* Second affichage de cette liste chainee            */
    l.affichageRecursif();
    /* Affichage inverse de cette liste chainee           */
    l.affichageInverse();
  }
}